/*
 * $Revesion$ $Date: 2007-12-02 23:59:12 +0900 $
 * Copyright (C) 2004-2007 SUGIMOTO Ken-ichi
 * 作成日: 2007/10/21
 */
package feat2.testapp.test13;

import feat2.CommandContext;
import feat2.View;
import feat2.config.ViewConfig;
import feat2.template.HTMLDocument;
import feat2.template.HTMLElement;

/**
 * @author SUGIMOTO Ken-ichi
 */
public class Test13Result implements View {

    private String string;
    private String id;

    public HTMLDocument format(HTMLDocument template, ViewConfig cfg,
            CommandContext ctx) throws Exception {

        HTMLElement valueElement = template.findElement(id);
        valueElement.setText(string);

        return template;
    }

    public void setId(String id) {
        this.id = id;
    }

    public void setString(String string) {
        this.string = string;
    }




}
